ServerEvents.commandRegistry(event => {
    const { commands: Commands, arguments: Arguments} = event

    event.register(
        Commands.literal("teach_intuitive_aptitude")
                    .executes(ctx => {

						let player = ctx.source.player
						let username = player.getGameProfile().getName();
                        let server = ctx.source.getServer()
                        let position = ctx.source.getPosition()
                        let dimension = ctx.source.getLevel().getDimension()
                        

                        server.runCommandSilent(`execute as ${username} at @s if entity @s[tag=Heroes.Enabled,palladium.power=heroes:intuitive_aptitude] positioned ^ ^ ^2 if entity @e[distance=..1.9,scores={Powers.Empathic_Mimicry=1..},tag=Heroes.Enabled,tag=!Heroes.Intuitive.Learned,limit=1] run tellraw @a[distance=..4] [\"\",{\"text\":\"<\",\"color\":\"white\"},{\"selector\":\"@s\"},{\"text\":\">\",\"color\":\"white\"},\" You’re going to deeply regret this...\"]`)
						
						server.runCommandSilent(`execute as ${username} at @s if entity @s[tag=Heroes.Enabled,palladium.power=heroes:intuitive_aptitude] positioned ^ ^ ^2 as entity @e[distance=..1.9,scores={Powers.Empathic_Mimicry=1..},tag=Heroes.Enabled,tag=!Heroes.Intuitive.Learned,limit=1] run tellraw @a[distance=..4] [\"\",{\"text\":\"<\",\"color\":\"white\"},{\"selector\":\"@s\"},{\"text\":\">\",\"color\":\"white\"},\" What?\"]`)
						
                        server.runCommandSilent(`execute as ${username} at @s if entity @s[tag=Heroes.Enabled,palladium.power=heroes:intuitive_aptitude] positioned ^ ^ ^2 as @e[distance=..1.9,scores={Powers.Empathic_Mimicry=1..},tag=Heroes.Enabled,tag=!Heroes.Intuitive.Learned,limit=1] run tag @s add Heroes.Intuitive.Learned`)
                    return 1
                })
    )
})